=== modified file '.bzrignore'
--- .bzrignore	2010-12-16 02:16:37 +0000
+++ .bzrignore	2010-12-16 16:22:30 +0000
@@ -334,3 +334,4 @@
 xid.gcno
 ylwrap
 docs/man
+.pc

=== modified file 'plugin/session_dictionary/processlist.cc'
--- plugin/session_dictionary/processlist.cc	2010-12-12 20:55:48 +0000
+++ plugin/session_dictionary/processlist.cc	2010-12-16 21:20:57 +0000
@@ -106,16 +106,16 @@
     push(static_cast<uint64_t>(tmp->start_time ?  now - tmp->start_time : 0));
 
     /* STATE */
-    val= (tmp->client->isWriting() ?
-          "Writing to net" :
-          tmp->client->isReading() ?
-          (tmp->command == COM_SLEEP ?
-           NULL : "Reading from net") :
-          tmp->get_proc_info() ? tmp->get_proc_info() :
-          tmp->getThreadVar() &&
-          tmp->getThreadVar()->current_cond ?
-          "Waiting on cond" : NULL);
-    val ? push(val) : push();
+    const char *step= tmp->get_proc_info();
+
+    if (step)
+    {
+      push(step);
+    }
+    else
+    {
+      push();
+    }
 
     /* INFO */
     if (state)

